// demonstrate a few minor issues in Fl_File_Chooser

#include <FL/Fl.H>
#include <FL/Fl_File_Chooser.H>
#include <stdio.h>

Fl_File_Chooser chooser("",NULL,Fl_File_Chooser::SINGLE,"Fl_File_Chooser");

main () {

// This shows the problem the chooser has with annoying MS slashes
 chooser.directory("C:\\Windows\\System\\");
 chooser.show();
 while ( chooser.shown() ) Fl::wait();

// This shows lack of file selection
 chooser.value("C:\\Windows\\System\\COMMDLG.DLL");
 chooser.show();
   //fputs(chooser.value(),stderr);
 while ( chooser.shown() ) Fl::wait();

// This shows how I would like to use it
 chooser.directory("C:\\Windows");
 chooser.value("System\\COMMDLG.DLL");   // Since this doesn't start with a drive letter or slash, it should be appended to the current directory
 chooser.show();
 while ( chooser.shown() ) Fl::wait();

}
